import _useRedeemableBalance from './useRedeemableBalance';
import _useRedeemableAsset from './useRedeemableAsset';
import _useReveal from './useReveal';
import { RedeemableContractData as _RedeemableContractData } from '@inkerlabs/sdk';
export declare const useContractData: () => [_RedeemableContractData | undefined, string | undefined];
export declare const useContractMetadata: () => [import("@inkerlabs/sdk").ContractMetadata | undefined, string | undefined];
export declare const useBuyPrivate: () => () => Promise<boolean>;
export declare const useBuyPublic: () => (amount: number) => Promise<boolean>;
export declare const useWhiteListTickets: () => [(import("@inkerlabs/sdk").WhiteListTicket[] | undefined)?, (string | undefined)?];
export declare const useConfig: () => import("@inkerlabs/sdk").RedeemAndRevealConfig;
export declare const useNFTs: () => [(import("@inkerlabs/sdk").NFTs | undefined)?, (string | undefined)?];
export declare const useRedeemableBalance: typeof _useRedeemableBalance;
export declare const useRedeemableAsset: typeof _useRedeemableAsset;
export declare const useReveal: typeof _useReveal;
export declare type RedeemableContractData = _RedeemableContractData;
